Replace the places array on a signable template
curl --request POST \
--url https://api.artu.ai/signable-templates/{templateId}/places \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"places": [
{
"key": "<string>",
"page": 0,
"top": 1,
"left": 1,
"width": 123,
"height": 123,
"label": "<string>"
}
]
}
'import requests
url = "https://api.artu.ai/signable-templates/{templateId}/places"
payload = { "places": [
{
"key": "<string>",
"page": 0,
"top": 1,
"left": 1,
"width": 123,
"height": 123,
"label": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
places: [
{
key: '<string>',
page: 0,
top: 1,
left: 1,
width: 123,
height: 123,
label: '<string>'
}
]
})
};
fetch('https://api.artu.ai/signable-templates/{templateId}/places', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/signable-templates/{templateId}/places",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'places' => [
[
'key' => '<string>',
'page' => 0,
'top' => 1,
'left' => 1,
'width' => 123,
'height' => 123,
'label' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/signable-templates/{templateId}/places"
payload := strings.NewReader("{\n \"places\": [\n {\n \"key\": \"<string>\",\n \"page\": 0,\n \"top\": 1,\n \"left\": 1,\n \"width\": 123,\n \"height\": 123,\n \"label\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/signable-templates/{templateId}/places")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"places\": [\n {\n \"key\": \"<string>\",\n \"page\": 0,\n \"top\": 1,\n \"left\": 1,\n \"width\": 123,\n \"height\": 123,\n \"label\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/signable-templates/{templateId}/places")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"places\": [\n {\n \"key\": \"<string>\",\n \"page\": 0,\n \"top\": 1,\n \"left\": 1,\n \"width\": 123,\n \"height\": 123,\n \"label\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "<string>",
"environment": "test",
"category": "privacy_notice",
"scope": "<string>",
"name": "<string>",
"description": "<string>",
"filename": "<string>",
"storagePath": "<string>",
"sha256": "<string>",
"size": 0,
"version": 0,
"status": "active",
"activeFrom": "2023-11-07T05:31:56Z",
"supersededAt": "2023-11-07T05:31:56Z",
"supersededByTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"places": [
{
"key": "<string>",
"type": "signature",
"page": 0,
"top": 1,
"left": 1,
"width": 123,
"height": 123,
"label": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"archivedBy": "<string>",
"isDeleted": true,
"deletedAt": "2023-11-07T05:31:56Z"
}SignableTemplates
Replace the places array on a signable template
POST
/
signable-templates
/
{templateId}
/
places
Replace the places array on a signable template
curl --request POST \
--url https://api.artu.ai/signable-templates/{templateId}/places \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"places": [
{
"key": "<string>",
"page": 0,
"top": 1,
"left": 1,
"width": 123,
"height": 123,
"label": "<string>"
}
]
}
'import requests
url = "https://api.artu.ai/signable-templates/{templateId}/places"
payload = { "places": [
{
"key": "<string>",
"page": 0,
"top": 1,
"left": 1,
"width": 123,
"height": 123,
"label": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
places: [
{
key: '<string>',
page: 0,
top: 1,
left: 1,
width: 123,
height: 123,
label: '<string>'
}
]
})
};
fetch('https://api.artu.ai/signable-templates/{templateId}/places', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/signable-templates/{templateId}/places",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'places' => [
[
'key' => '<string>',
'page' => 0,
'top' => 1,
'left' => 1,
'width' => 123,
'height' => 123,
'label' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/signable-templates/{templateId}/places"
payload := strings.NewReader("{\n \"places\": [\n {\n \"key\": \"<string>\",\n \"page\": 0,\n \"top\": 1,\n \"left\": 1,\n \"width\": 123,\n \"height\": 123,\n \"label\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/signable-templates/{templateId}/places")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"places\": [\n {\n \"key\": \"<string>\",\n \"page\": 0,\n \"top\": 1,\n \"left\": 1,\n \"width\": 123,\n \"height\": 123,\n \"label\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/signable-templates/{templateId}/places")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"places\": [\n {\n \"key\": \"<string>\",\n \"page\": 0,\n \"top\": 1,\n \"left\": 1,\n \"width\": 123,\n \"height\": 123,\n \"label\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "<string>",
"environment": "test",
"category": "privacy_notice",
"scope": "<string>",
"name": "<string>",
"description": "<string>",
"filename": "<string>",
"storagePath": "<string>",
"sha256": "<string>",
"size": 0,
"version": 0,
"status": "active",
"activeFrom": "2023-11-07T05:31:56Z",
"supersededAt": "2023-11-07T05:31:56Z",
"supersededByTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"places": [
{
"key": "<string>",
"type": "signature",
"page": 0,
"top": 1,
"left": 1,
"width": 123,
"height": 123,
"label": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"archivedBy": "<string>",
"isDeleted": true,
"deletedAt": "2023-11-07T05:31:56Z"
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Path Parameters
Body
application/json
Required array length:
1 - 50 elementsShow child attributes
Show child attributes
Response
200 - application/json
OK
Available options:
test, live Available options:
privacy_notice, nda, contract, declaration, other Required range:
-9007199254740991 < x <= 9007199254740991Required range:
-9007199254740991 < x <= 9007199254740991Available options:
active, superseded, archived Maximum array length:
50Show child attributes
Show child attributes
Was this page helpful?
